# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.Dump

↳ JXG.Dump

Defined in: dump.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Dump The JXG.Dump namespace provides classes and methods to save a board to javascript.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Dump.addMarkers(board, markers, values) Adds markers to every element of the board
<static> | JXG.Dump.arrayToParamStr(a, converter) Converts an array of different values into a parameter string that can be used by the code generators.
<static> | JXG.Dump.deleteMarkers(board, markers) Removes markers from every element on the board.
<static> | JXG.Dump.dump(board) Generate a save-able structure with all elements.
<static> | JXG.Dump.minimizeObject(instance, s) Eliminate default values given by JXG.Options from the attributes object.
<static> | JXG.Dump.prepareAttributes(board, obj) Prepare the attributes object for an element to be dumped as JavaScript or JessieCode code.
<static> | JXG.Dump.str(s) Stringifies a string, i.e.
<static> | JXG.Dump.toJavaScript(board) Saves the construction in `board` to JavaScript.
<static> | JXG.Dump.toJCAN(obj) Converts a JavaScript object into a JCAN (JessieCode Attribute Notation) string.
<static> | JXG.Dump.toJessie(board) Saves the construction in `board` to JessieCode.

Namespace Detail
JXG.Dump
The JXG.Dump namespace provides classes and methods to save a board to javascript.
Method Detail
<static> JXG.Dump.addMarkers(board, markers, values)
Adds markers to every element of the board

Parameters:
{JXG.Board} board
{Array|String} markers
{Array} values

<static> {String} JXG.Dump.arrayToParamStr(a, converter)
Converts an array of different values into a parameter string that can be used by the code generators.

Parameters:
{Array} a
{function} converter
  A function that is used to transform the elements of `a`. Usually JXG.toJSON or JXG.Dump.toJCAN are used.

Returns:
  {String}

<static> JXG.Dump.deleteMarkers(board, markers)
Removes markers from every element on the board.

Parameters:
{JXG.Board} board
{Array|String} markers

<static> {Array} JXG.Dump.dump(board)
Generate a save-able structure with all elements. This is used by JXG.Dump#toJessie and JXG.Dump#toJavaScript to generate the script.

Parameters:
{JXG.Board} board

Returns:
  {Array} An array with all metadata necessary to save the construction.

<static> {Object} JXG.Dump.minimizeObject(instance, s)
Eliminate default values given by JXG.Options from the attributes object.

Parameters:
{Object} instance
  Attribute object of the element
{Object} s
  Arbitrary number of objects `instance` will be compared to. Usually these are sub-objects of the JXG.Board#options structure.

Returns:
  {Object} Minimal attributes object

<static> {Object} JXG.Dump.prepareAttributes(board, obj)
Prepare the attributes object for an element to be dumped as JavaScript or JessieCode code.

Parameters:
{JXG.Board} board
{JXG.GeometryElement} obj
  Geometry element which attributes object is generated

Returns:
  {Object} An attributes object.

<static> {String} JXG.Dump.str(s)
Stringifies a string, i.e. puts some quotation marks around `s` if it is of type string.

Parameters:
{*} s

Returns:
  {String} " + s + "

<static> {String} JXG.Dump.toJavaScript(board)
Saves the construction in `board` to JavaScript.

Parameters:
{JXG.Board} board

Returns:
  {String} JavaScript

<static> {String} JXG.Dump.toJCAN(obj)
Converts a JavaScript object into a JCAN (JessieCode Attribute Notation) string.

Parameters:
{Object} obj
  A JavaScript object, functions will be ignored.

Returns:
  {String} The given object stored in a JCAN string.

<static> {String} JXG.Dump.toJessie(board)
Saves the construction in `board` to JessieCode.

Parameters:
{JXG.Board} board

Returns:
  {String} JessieCode

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Feb 14 2024 15:53:28 GMT+0100 (heure normale d’Europe centrale)